<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-239"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20%2FUsers%2Fscar1900%2FDeveloper%2FXHXKit%2FXHXKit%2FClasses%2FGeneral%2FCategory%2FUIView%2BKOToast.m%20%E6%BA%90%E6%96%87%E4%BB%B6"></a><title>XHXKit: /Users/scar1900/Developer/XHXKit/XHXKit/Classes/General/Category/UIView+KOToast.m 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d522931ffa1371640980b621734a4381.html">Users</a></li><li class="navelem"><a class="el" href="dir_2f48480e0fdb0436fb8fd57a1ed5f613.html">scar1900</a></li><li class="navelem"><a class="el" href="dir_c8b33409012acfc781ba898892fd3b4c.html">Developer</a></li><li class="navelem"><a class="el" href="dir_0e1030ab80149b7e8d6dfd17946e9c40.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_c9ece41fcb3917ec137dcec44cd0055f.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_3a9521ad7c4429598be7e28fa39d3d14.html">Classes</a></li><li class="navelem"><a class="el" href="dir_3d53dd88e59abdcd55a12c7e475393fb.html">General</a></li><li class="navelem"><a class="el" href="dir_6aab43a226a6a6887d476b2e5d48e49d.html">Category</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">UIView+KOToast.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_u_i_view_09_k_o_toast_8m.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno"><a class="line" href="category_u_i_view_07_k_o_toast_08.html#a9cab42ced6cea459c2848e9d98c5e5d5">    1</a></span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&nbsp;<span class="comment">//  UIView+KOToast.m</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&nbsp;<span class="comment">//  KKLOnLine</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&nbsp;<span class="comment">//  Created by 江俊辰 on 2017/6/20.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&nbsp;<span class="comment">//  Copyright &copy; 2017年 mistong. All rights reserved.</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&nbsp; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&nbsp;<span class="preprocessor">#import &#34;<a class="code" href="_u_i_view_09_k_o_toast_8h.html">UIView+KOToast.h</a>&#34;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&nbsp;<span class="preprocessor">#import &lt;KKLThirdParty/MBProgressHUD.h&gt;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&nbsp;<span class="preprocessor">#import &#34;<a class="code" href="_utils_macros_8h.html">UtilsMacros.h</a>&#34;</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&nbsp; </div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&nbsp;<span class="keyword">@implementation </span><a class="code" href="category_u_i_view_07_k_o_toast_08.html">UIView (KOToast)</a></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&nbsp; </div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&nbsp;- (void)showToastForLiveLessonLoading{</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&nbsp;    [<span class="keyword">self</span> hideToast];</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&nbsp;    MBProgressHUD *hud = [<span class="keyword">self</span> showToast];</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&nbsp;    hud.square = NO;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&nbsp;    hud.minSize = CGSizeMake(200, 54);</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&nbsp;    UIImageView *animatedImageView = [[UIImageView alloc] init];</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&nbsp;    NSMutableArray *loadingImages = [NSMutableArray array];</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&nbsp;    <span class="keywordflow">for</span> (NSUInteger i = 1; i&lt;=9; i++) {</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&nbsp;        UIImage *image = [UIImage imageNamed:[NSString stringWithFormat:@&#34;liveLoading%zd&#34;, i]];</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&nbsp;        [loadingImages addObject:image];</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&nbsp;    }</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&nbsp;    animatedImageView.animationImages = loadingImages;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&nbsp;    animatedImageView.contentMode = UIViewContentModeScaleAspectFill;</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&nbsp;    animatedImageView.animationDuration = 2.0f;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&nbsp;    animatedImageView.animationRepeatCount = 0;</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&nbsp;    [animatedImageView startAnimating];</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&nbsp;    </div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&nbsp;    hud.customView = animatedImageView;</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&nbsp;    hud.label.text = <span class="stringliteral">@&#34;视频加载中...&#34;</span>;</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&nbsp;    hud.label.textColor = [UIColor whiteColor];</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&nbsp;    hud.label.font = <a class="code" href="_utils_macros_8h.html#a178f12aa22fed21cbd4be7b1be0d846a">Font</a>(12);</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&nbsp;    hud.userInteractionEnabled = YES;</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&nbsp;}</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&nbsp; </div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&nbsp;<span class="comment">// 显示错误提示框，自动隐藏</span></div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&nbsp;- (void)showToastForErrorMessage:(NSString *)error {</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&nbsp;    [<span class="keyword">self</span> hideToast];</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&nbsp;    MBProgressHUD *hud = [<span class="keyword">self</span> showToast];</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&nbsp;    hud.minSize = CGSizeMake(200, 57);</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&nbsp;    hud.margin = 10;</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&nbsp;    hud.mode = MBProgressHUDModeText;</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&nbsp;    [<span class="keyword">self</span> setToast:hud text:error];</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&nbsp;}</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&nbsp; </div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&nbsp;<span class="comment">// 显示成功提示框，自动隐藏</span></div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&nbsp;- (void)showToastForSuccess:(NSString *)success {</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&nbsp;    [<span class="keyword">self</span> hideToast];</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&nbsp;    MBProgressHUD *hud = [<span class="keyword">self</span> showToast];</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&nbsp;    hud.minSize = CGSizeMake(160, 113);</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&nbsp;    UIImage *image = [UIImage imageNamed:@&#34;iconSuccess&#34;];</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&nbsp;    hud.customView = [[UIImageView alloc] initWithImage:image];</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&nbsp;    [<span class="keyword">self</span> setToast:hud text:success];</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&nbsp;}</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&nbsp; </div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&nbsp;- (void)showToastForSuccessWithTitle:(NSString *)title desc:(NSString *)desc</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&nbsp;{</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&nbsp;    [<span class="keyword">self</span> hideToast];</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&nbsp;    MBProgressHUD *hud = [<span class="keyword">self</span> showToast];</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&nbsp;    hud.minSize = CGSizeMake(160, 113);</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&nbsp;    UIImage *image = [UIImage imageNamed:@&#34;iconSuccess&#34;];</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&nbsp;    hud.customView = [[UIImageView alloc] initWithImage:image];</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&nbsp;    </div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&nbsp;    hud.label.text = [<span class="keyword">self</span> insertLineBreakWithText:title];</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&nbsp;    hud.label.textColor = [UIColor whiteColor];</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&nbsp;    hud.label.font = [UIFont boldSystemFontOfSize:16];</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&nbsp;    hud.label.numberOfLines = 0;</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&nbsp;    </div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&nbsp;    hud.detailsLabel.text = [<span class="keyword">self</span> insertLineBreakWithText:desc];</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&nbsp;    hud.detailsLabel.textColor = [UIColor whiteColor];</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&nbsp;    hud.detailsLabel.font = <a class="code" href="_utils_macros_8h.html#a178f12aa22fed21cbd4be7b1be0d846a">Font</a>(13);</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&nbsp;    hud.detailsLabel.numberOfLines = 0;</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&nbsp;    [hud hideAnimated:YES afterDelay:[<span class="keyword">self</span> durationForDisplayString:desc]];</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&nbsp;}</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&nbsp; </div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&nbsp;<span class="comment">// 显示纯文本提示框，自动隐藏</span></div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&nbsp;- (void)showToastForInfo:(NSString *)info {</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&nbsp;    [<span class="keyword">self</span> hideToast];</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&nbsp;    <span class="keywordflow">if</span> (info.length == 0) {</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&nbsp;        <span class="keywordflow">return</span>;</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&nbsp;    }</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&nbsp;    MBProgressHUD *hud = [<span class="keyword">self</span> showToast];</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&nbsp;    hud.minSize = CGSizeMake(200, 57);</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&nbsp;    hud.margin = 10;</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&nbsp;    hud.mode = MBProgressHUDModeText;</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&nbsp;    [<span class="keyword">self</span> setToast:hud text:info];</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&nbsp;}</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&nbsp;<span class="comment">//显示错误信息,错误类型为登录错误的不提示</span></div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&nbsp;- (void)showToastForError:(NSError *)error {</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&nbsp;    [<span class="keyword">self</span> hideToast];</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&nbsp;    <span class="keywordflow">if</span> (error.domain.length == 0) {</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&nbsp;        <span class="keywordflow">return</span>;</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&nbsp;    }</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&nbsp;    MBProgressHUD *hud = [<span class="keyword">self</span> showToast];</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&nbsp;    hud.minSize = CGSizeMake(200, 57);</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&nbsp;    hud.margin = 10;</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&nbsp;    hud.mode = MBProgressHUDModeText;</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&nbsp;    [<span class="keyword">self</span> setToast:hud text:error.domain];</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&nbsp;}</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&nbsp;<span class="comment">// 显示正在加载的提示框</span></div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&nbsp;- (void)showToastForLoading:(NSString *)loading {</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&nbsp;    [<span class="keyword">self</span> hideToast];</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&nbsp;    MBProgressHUD *hud = [<span class="keyword">self</span> showToast];</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&nbsp;    hud.minSize = CGSizeMake(130, 130);</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&nbsp;    </div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&nbsp;    UIImageView *animatedImageView = [[UIImageView alloc] init];</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&nbsp;    NSMutableArray *loadingImages = [NSMutableArray array];</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&nbsp;    <span class="keywordflow">for</span> (NSUInteger i = 0; i&lt;=49; i++) {</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&nbsp;        UIImage *image = [UIImage imageNamed:[NSString stringWithFormat:@&#34;loading2_000%zd&#34;, i]];</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&nbsp;        [loadingImages addObject:image];</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&nbsp;    }</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&nbsp;    animatedImageView.animationImages = loadingImages;</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&nbsp;    animatedImageView.contentMode = UIViewContentModeScaleAspectFill;</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&nbsp;    animatedImageView.animationDuration = 2.0f;</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&nbsp;    animatedImageView.animationRepeatCount = 0;</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&nbsp;    [animatedImageView startAnimating];</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&nbsp;    </div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&nbsp;    hud.customView = animatedImageView;</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&nbsp;    </div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&nbsp;    hud.square = YES;</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&nbsp;    </div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&nbsp;    hud.label.text = loading;</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&nbsp;    hud.label.textColor = [UIColor whiteColor];</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&nbsp;    hud.label.font = <a class="code" href="_utils_macros_8h.html#a178f12aa22fed21cbd4be7b1be0d846a">Font</a>(12);</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&nbsp;}</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&nbsp; </div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&nbsp;<span class="comment">// 隐藏当前正在加在的提示框</span></div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&nbsp;- (void)hideToast {</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&nbsp;    [MBProgressHUD hideHUDForView:self animated:YES];</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&nbsp;}</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&nbsp; </div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&nbsp;<span class="preprocessor">#pragma mark - Private</span></div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&nbsp;<span class="comment">// 初始化Tosat</span></div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&nbsp;- (MBProgressHUD *)showToast {</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&nbsp;    MBProgressHUD *hud = [MBProgressHUD showHUDAddedTo:self animated:YES];</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&nbsp;    hud.mode = MBProgressHUDModeCustomView;</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&nbsp;    hud.bezelView.style = MBProgressHUDBackgroundStyleSolidColor;</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&nbsp;    hud.bezelView.backgroundColor = [[UIColor blackColor] colorWithAlphaComponent:0.7];</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&nbsp;    hud.bezelView.layer.cornerRadius = 8;</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&nbsp;    <span class="keywordflow">return</span> hud;</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&nbsp;}</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&nbsp; </div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&nbsp;<span class="comment">// 设置error,success,info三种Toast的文字信息和隐藏时间</span></div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&nbsp;- (void)setToast:(MBProgressHUD *)hud text:(NSString *)text {</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&nbsp;    hud.detailsLabel.text = [<span class="keyword">self</span> insertLineBreakWithText:text];</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&nbsp;    hud.detailsLabel.textColor = [UIColor whiteColor];</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&nbsp;    hud.detailsLabel.font = <a class="code" href="_utils_macros_8h.html#a178f12aa22fed21cbd4be7b1be0d846a">Font</a>(14);</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&nbsp;    hud.detailsLabel.numberOfLines = 0;</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&nbsp;    [hud hideAnimated:YES afterDelay:[<span class="keyword">self</span> durationForDisplayString:text]];</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&nbsp;}</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&nbsp; </div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&nbsp;- (NSTimeInterval)durationForDisplayString:(NSString*)string {</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&nbsp;    <span class="keywordflow">return</span> MAX(1.8, MIN((<span class="keywordtype">float</span>)<span class="keywordtype">string</span>.length*0.1 + 0.3, 5.0));</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&nbsp;}</div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&nbsp; </div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&nbsp;- (NSString *)insertLineBreakWithText:(NSString *)text {</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&nbsp;    NSMutableString *mutableString = [text mutableCopy];</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&nbsp;    <span class="keywordtype">int</span> count = 0;</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&nbsp;    <span class="keywordtype">int</span> length = (int)mutableString.length;</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&nbsp;    <span class="keywordtype">int</span> inserted = 1;</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&nbsp;    for (<span class="keywordtype">int</span> i = 0;i &lt; length;i++) {</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&nbsp;        count += 1;</div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&nbsp;        <span class="keywordflow">if</span> (count == 16) {</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&nbsp;            [mutableString insertString:@&#34;\n&#34; atIndex:i - 1 + inserted];</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&nbsp;            count = 0;</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&nbsp;        }</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&nbsp;    }</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&nbsp;    <span class="keywordflow">return</span> [mutableString copy];</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&nbsp;}</div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&nbsp; </div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&nbsp;<span class="keyword">@end</span></div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="acategory_u_i_view_07_k_o_toast_08_html"><div class="ttname"><a href="category_u_i_view_07_k_o_toast_08.html">UIView(KOToast)</a></div><div class="ttdef"><b>Definition:</b> <a href="_u_i_view_09_k_o_toast_8h_source.html#l00012">UIView+KOToast.h:12</a></div></div>
<div class="ttc" id="a_utils_macros_8h_html_a178f12aa22fed21cbd4be7b1be0d846a"><div class="ttname"><a href="_utils_macros_8h.html#a178f12aa22fed21cbd4be7b1be0d846a">Font</a></div><div class="ttdeci">#define Font(size)</div><div class="ttdef"><b>Definition:</b> <a href="_utils_macros_8h_source.html#l00051">UtilsMacros.h:51</a></div></div>
<div class="ttc" id="a_utils_macros_8h_html"><div class="ttname"><a href="_utils_macros_8h.html">UtilsMacros.h</a></div></div>
<div class="ttc" id="a_u_i_view_09_k_o_toast_8h_html"><div class="ttname"><a href="_u_i_view_09_k_o_toast_8h.html">UIView+KOToast.h</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
制作者&nbsp;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>


</body></html>